import 'package:json_annotation/json_annotation.dart';
export 'package:uqudo_flutter_plugin/builder/AccountRecoveryConfiguration.dart';

part 'AccountRecoveryConfiguration.g.dart';

@JsonSerializable(includeIfNull: false)
class AccountRecoveryConfiguration {
  String token;
  String enrollmentIdentifier;
  String nonce;
  bool isRootedDeviceAllowed;
  bool isSecuredWindowsDisabled;
  bool isHelpPageDisabled;
  int minimumMatchLevel;

  AccountRecoveryConfiguration(
      token,
      enrollmentIdentifier,
      nonce,
      isRootedDeviceAllowed,
      isSecuredWindowsDisabled,
      isHelpPageDisabled,
      minimumMatchLevel) {
    this.token = token;
    this.enrollmentIdentifier = enrollmentIdentifier;
    this.nonce = nonce;
    this.isRootedDeviceAllowed = isRootedDeviceAllowed;
    this.isSecuredWindowsDisabled = isSecuredWindowsDisabled;
    this.isHelpPageDisabled = isHelpPageDisabled;
    this.minimumMatchLevel = minimumMatchLevel;
  }

  Map<String, dynamic> toJson() => _$AccountRecoveryConfigurationToJson(this);
}
