import 'package:json_annotation/json_annotation.dart';
import 'package:uqudo_flutter_plugin/builder/Document.dart';
import 'package:uqudo_flutter_plugin/builder/FacialRecognitionConfiguration.dart';
import 'package:uqudo_flutter_plugin/builder/BackgroundCheckConfiguration.dart';
export 'package:uqudo_flutter_plugin/builder/Enrollment.dart';

part 'Enrollment.g.dart';

@JsonSerializable(includeIfNull: false)
class Enrollment {
  List<Document> documentList;
  String authorizationToken;
  String nonce;
  bool isRootedDeviceAllowed;
  bool isSecuredWindowsDisabled;
  FacialRecognitionConfiguration facialRecognitionSpecification;
  BackgroundCheckConfiguration backgroundCheckConfiguration;
  String sessionId;

  Enrollment(
      documentList,
      authorizationToken,
      nonce,
      isRootedDeviceAllowed,
      isSecuredWindowsDisabled,
      facialRecognitionSpecification,
      backgroundCheckConfiguration,
      sessionId) {
    this.documentList = documentList;
    this.authorizationToken = authorizationToken;
    this.nonce = nonce;
    this.isRootedDeviceAllowed = isRootedDeviceAllowed;
    this.isSecuredWindowsDisabled = isSecuredWindowsDisabled;
    this.facialRecognitionSpecification = facialRecognitionSpecification;
    this.backgroundCheckConfiguration = backgroundCheckConfiguration;
    this.sessionId = sessionId;
  }

  Map<String, dynamic> toJson() => _$EnrollmentToJson(this);
}
