import 'dart:async';
import 'dart:convert';

import 'package:flutter/services.dart';
import 'package:uqudo_flutter_plugin/builder/AccountRecoveryConfiguration.dart';
import 'package:uqudo_flutter_plugin/builder/Enrollment.dart';
import 'package:uqudo_flutter_plugin/uqudo_builder.dart';

class UqudoFlutterPlugin {
  static const MethodChannel _channel =
      const MethodChannel('uqudo_flutter_plugin');

  static get init {
    _channel.invokeMethod('init');
  }

  static Future<String> enroll(Enrollment object) async {
    final String result =
        await _channel.invokeMethod('enroll', {'message': jsonEncode(object)});
    return result;
  }

  static Future<String> recover(AccountRecoveryConfiguration object) async {
    final String result =
        await _channel.invokeMethod('recover', {'message': jsonEncode(object)});
    return result;
  }
}
